1

Topic: Unsupported OS (Ubuntu 14.04)

==== Required information ====
- iRedMail version: 0.8.6
- Store mail accounts in which backend: PGSQL
- Linux/BSD distribution name and version: Ubuntu 14.04 (Trusty Tahr)
====

I was just wondering if there's a way to get iRedMail to work with Ubuntu 14.04 LTS right now.
It's what my new server is running and I'd rather not downgrade, as I'm perfectly comfortable with the performance and stability of it.

I've already searched the install script, hoping there was a simple query I could change or possibly delete. Unfortunately, I couldn't find any.

2

Re: Unsupported OS (Ubuntu 14.04)

Ubuntu 14.04 is not yet officially released, so we didn't test iRedMail with it. Where did you download it?

3 (edited by Unixfan 2014-02-05 21:49:48)

Re: Unsupported OS (Ubuntu 14.04)

ZhangHuangbin wrote:

Ubuntu 14.04 is not yet officially released, so we didn't test iRedMail with it. Where did you download it?

Snatched it directly from the daily build server.

http://cdimage.ubuntu.com/ubuntu-server/daily/current/

I've got the regular (non Mac) AMD64 release.

BTW: Will the following conf and script work if add I them to the installation?

http://code.google.com/p/iredmail/sourc … 9832de0bf3

http://code.google.com/p/iredmail/sourc … 9832de0bf3

My team still depends on Squirrelmail a fair bit.

4

Re: Unsupported OS (Ubuntu 14.04)

Unixfan wrote:

BTW: Will the following conf and script work if add I them to the installation?

No.

The latest iRedMail has too much changes since we moved from Google Code to BitBucket.org. I don't think it will work.
You can install SquirrelMail manually.

5

Re: Unsupported OS (Ubuntu 14.04)

ZhangHuangbin wrote:
Unixfan wrote:

BTW: Will the following conf and script work if add I them to the installation?

No.

The latest iRedMail has too much changes since we moved from Google Code to BitBucket.org. I don't think it will work.
You can install SquirrelMail manually.

Ok. Thanks.
Will install it manually then.

Any way to get iRedMail installed on my Ubuntu Trusty Tahr server or will I have to wait for a new release of iRedMail?

6

Re: Unsupported OS (Ubuntu 14.04)

I can try to install Ubuntu 14.04 later and come back to you. I guess it need very small hack in iRedMail file (conf/global) to make it work.

7

Re: Unsupported OS (Ubuntu 14.04)

Since iRedMail doesn't restrict Ubuntu release versions older than 8.10, so Ubuntu 14.04 works as expected. No change is required. Works for me here.

Could you please paste me full terminal output when you get error message "Unsupported OS"?

8

Re: Unsupported OS (Ubuntu 14.04)

You're right, of course.
Turned out, I forgot to make it executable and ran it with bash instead of executing it. It didn't like this for some reason, hence the weird error message.